summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author LukenShiro2012-04-30 02:51:16 +0200
committer Erik Hanson2012-04-30 07:40:06 +0200
commit24f955cf40451b8d5ba87251521b8bcbe021e9a7 (patch)
tree870cb73280699fbfa0a38ea65af29daeee3c9759 /libraries
parent5bdae63c2e9fb8aa3c2502d68252f60d4beb83a5 (diff)
downloadslackbuilds-24f955cf40451b8d5ba87251521b8bcbe021e9a7.tar.gz
libraries/c++-gtk-utils: Added (C++ lightweight library for GTK+)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/c++-gtk-utils/README4
-rw-r--r--libraries/c++-gtk-utils/c++-gtk-utils.SlackBuild100
-rw-r--r--libraries/c++-gtk-utils/c++-gtk-utils.info10
-rw-r--r--libraries/c++-gtk-utils/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/c++-gtk-utils/README b/libraries/c++-gtk-utils/README
new file mode 100644
index 0000000000..c707095f7c
--- /dev/null
+++ b/libraries/c++-gtk-utils/README
@@ -0,0 +1,4 @@
+This is a lightweight library containing a number of classes and
+functions to ease the task of programming GTK+ programs with C++
+in POSIX (unix-like) environments, including classes to make GTK+
+exception safe and for writing threaded programs.
diff --git a/libraries/c++-gtk-utils/c++-gtk-utils.SlackBuild b/libraries/c++-gtk-utils/c++-gtk-utils.SlackBuild
new file mode 100644
index 0000000000..4e99c2e877
--- /dev/null
+++ b/libraries/c++-gtk-utils/c++-gtk-utils.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for c++-gtk-utils
+
+# Copyright 2012 LukenShiro, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=c++-gtk-utils
+VERSION=${VERSION:-2.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# other doc files are automatically installed
+DOCFILES="ABOUT-NLS AUTHORS ChangeLog INSTALL"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Used correct configure for gtk+2
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure-gtk2 \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --datadir=/usr/share \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/c++-gtk-utils/c++-gtk-utils.info b/libraries/c++-gtk-utils/c++-gtk-utils.info
new file mode 100644
index 0000000000..233c2a7f23
--- /dev/null
+++ b/libraries/c++-gtk-utils/c++-gtk-utils.info
@@ -0,0 +1,10 @@
+PRGNAM="c++-gtk-utils"
+VERSION="2.0.7"
+HOMEPAGE="http://cxx-gtk-utils.sourceforge.net"
+DOWNLOAD="http://sourceforge.net/projects/cxx-gtk-utils/files/cxx-gtk-utils/2.0.7/c++-gtk-utils-2.0.7.tar.gz"
+MD5SUM="aea6396d780d053e798caed5c6a95cac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="dsomero"
diff --git a/libraries/c++-gtk-utils/slack-desc b/libraries/c++-gtk-utils/slack-desc
new file mode 100644
index 0000000000..541f463ea9
--- /dev/null
+++ b/libraries/c++-gtk-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+c++-gtk-utils: c++-gtk-utils (C++ lightweight library for GTK+)
+c++-gtk-utils:
+c++-gtk-utils: It is a lightweight library containing a number of classes and
+c++-gtk-utils: functions to ease the task of programming GTK+ programs with C++ in
+c++-gtk-utils: POSIX (unix-like) environments, including classes to make GTK+
+c++-gtk-utils: exception safe and for writing threaded programs.
+c++-gtk-utils:
+c++-gtk-utils: Homepage: http://c++-gtk-utils.sourceforge.net
+c++-gtk-utils:
+c++-gtk-utils:
+c++-gtk-utils: